summary refs log tree commit diff
path: root/lisc/test/go.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lisc/test/go.sh')
-rwxr-xr-xlisc/test/go.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/lisc/test/go.sh b/lisc/test/go.sh
index 98e5c2d..9879ff4 100755
--- a/lisc/test/go.sh
+++ b/lisc/test/go.sh
@@ -57,7 +57,7 @@ once() {
 		LNK="$ASM"
 	fi
 
-	if ! cc -o $BIN $LNK
+	if ! cc -g -o $BIN $LNK
 	then
 		echo "[cc fail]"
 		return 1
@@ -71,7 +71,7 @@ once() {
 	else
 		$BIN a b c
 		RET=$?
-		REASON="ret code"
+		REASON="returned $RET"
 	fi
 
 	if test $RET -ne 0